org.apache.hadoop.io.erasurecode

## Class ErasureCodeNative

- java.lang.Object
- - org.apache.hadoop.io.erasurecode.ErasureCodeNative

-     public final class ErasureCodeNative
      extends Object

  Erasure code native libraries (for now, Intel ISA-L) related utilities.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkNativeCodeLoaded()` Is the native ISA-L library loaded and initialized? Throw exception if not.
    `static String` | `getLibraryName()` Get the native library name that's available or supported.
    `static String` | `getLoadingFailureReason()`
    `static boolean` | `isNativeCodeLoaded()` Are native libraries loaded?
    `static void` | `loadLibrary()` Load native library available or supported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isNativeCodeLoaded

          public static boolean isNativeCodeLoaded()

      Are native libraries loaded?

    - #### checkNativeCodeLoaded

          public static void checkNativeCodeLoaded()

      Is the native ISA-L library loaded and initialized? Throw exception if not.

    - #### loadLibrary

          public static void loadLibrary()

      Load native library available or supported.

    - #### getLibraryName

          public static String getLibraryName()

      Get the native library name that's available or supported.

    - #### getLoadingFailureReason

          public static String getLoadingFailureReason()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.